## tinyproxy 1.11.2

=== docs/web/Makefile ===
# test webpage with `python -m SimpleHTTPServer`

all: index.html

tp.html.conf: ../man5/tinyproxy.conf.txt
	pod2html --noindex < $^ | awk -f podhtml-filter.awk > $@

index.html: tp.html.head tp.html.conf tp.html.foot
	cat $^ > $@

clean:
	rm tp.html.conf index.html *.tmp

.PHONY: all clean

## tinyproxy 1.6.3-3.2-0auth

=== debian/changelog ===
tinyproxy (1.6.3-3.2-0auth) unstable; urgency=low

  * Included patch to perform upstream authentication: https://banu.com/bugzilla/attachment.cgi?id=49

 -- Jonathan Schultz <jonathan@imatix.com>  Tue, 15 Dec 2010 17:24:24 +1100

tinyproxy (1.6.3-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Note the Debian revision has been bumped to -3.2 instead of -2.2 to
    ease Ubuntu synchronisation, as they mistakenly uploaded -3 some time ago.
  * Bump debhelper requirement to 7 and add quilt to Build-Depends.
  * Move to debhelper compat level 7.
  * Cleanup rules a bit for debhelper v7.
  * Move patches to upstream code to log_format_string_fix.patch,
    scanner_debug_removal.patch and 99_autoreconf.patch.
  * Remove apparently old and unused patches debian/logfile.patch and
    debian/dfree-[1-4].patch.
  * Make logrotate script restart tinyproxy only if it appears to be
    running (closes: #369787). A better fix would be to improve the init
    script adding a "try-restart" option, though.
  * Apply patch from Christoph Biedl to allow tinyproxy to remove its pidfile
    when shutting down, so the logrotate change actually works. This changes
    the pidfile location to /var/run/tinyproxy.
  * Add "Short-Description" and "Description" headers to the init script.
  * Fix a typo in debian/rules so config.log gets removed on clean.
  * Remove libtool and doc/report.sh on clean, and fix the rule as suggested
    by lintian.
  * Copy upstream's default conffile as debian/tinyproxy.conf and install
    that one in the package.
  * Disable non-localhost access by default, while adding commented entries
    for all private network ranges (closes: #387721, #393236).
  * Install example configuration file in /usr/share/doc/tinyproxy/examples.
  * Remove obsolete debian/conffiles.
  * Fix reference to conffile location in README.Debian (closes: #417338).
  * Pass --enable-filter --enable-transparent-proxy --enable-upstream
    to configure to explicitly enable some missing features.
    (closes: #400931, LP #42598).
  * Add doc/filter-howto.txt to installed documentation.
  * Remove postinst and prerm script, which were used to fix an upgrade bug
    6 years ago.
  * Update upstream url in debian/copyright, and add a Homepage field to
    debian/control.
  * Extend copyright so it contains all the required information.
  * Add a Debian.source document with notes about quilt usage to obtain
    patched code.
  * Add a watch file.
  * Bump Standards-Version to 3.8.0.

 -- Jordi Mallach <jordi@debian.org>  Fri, 04 Jul 2008 17:06:00 +0200

tinyproxy (1.6.3-2.1) unstable; urgency=low

  * Non-maintainer upload to solve release goal.
  * Add LSB dependency header to init.d scripts (Closes: #466149).
  * Fix format string bug in log.c (Closes: 366410).  Patch
    from Karl Chen.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 29 Mar 2008 12:32:29 +0100

tinyproxy (1.6.3-2) unstable; urgency=low

  * Remove debugging grammar.[ch] and scanner.c as
    noted by upstream

 -- Ed Boraas <ed@debian.org>  Wed, 11 Aug 2004 12:20:18 -0600

tinyproxy (1.6.3-1) unstable; urgency=low

  * New upstream release

 -- Ed Boraas <ed@debian.org>  Tue, 10 Aug 2004 19:16:04 -0600

tinyproxy (1.6.2-3) unstable; urgency=low

  * Properly close file handles on daemonize (Closes: #248124) 

 -- Ed Boraas <ed@debian.org>  Mon,  9 Aug 2004 22:23:55 -0600

tinyproxy (1.6.2-2) unstable; urgency=low

  * Actually depend on logrotate 

 -- Ed Boraas <ed@debian.org>  Mon,  9 Aug 2004 18:16:09 -0600

tinyproxy (1.6.2-1) unstable; urgency=low

  * New upstream release (Closes: #262122)
    * Makefile now uses proper prefixing for mkinstalldirs
      (Closes: #264508)

 -- Ed Boraas <ed@debian.org>  Mon,  9 Aug 2004 17:57:42 -0600

tinyproxy (1.6.1-3) unstable; urgency=low

  * Include a logrotate script (Closes: #163670)
  * Updated to Policy 3.6.1

 -- Ed Boraas <ed@debian.org>  Sun,  8 Aug 2004 00:20:04 -0600

tinyproxy (1.6.1-2) unstable; urgency=low

  * Build-depend on bison (Closes; #207579)

 -- Ed Boraas <ed@debian.org>  Thu, 28 Aug 2003 07:14:47 -0600

tinyproxy (1.6.1-1) unstable; urgency=low

  * New upstream release (Closes: #186935) 

 -- Ed Boraas <ed@debian.org>  Mon, 11 Aug 2003 19:32:18 -0600

tinyproxy (1.5.1-2) unstable; urgency=low

  * Open logfile with elevated permissions, passing fd to children 
    (Closes: #159614)
    * Urgency still low since the affected version is not in testing
 
 -- Ed Boraas <ed@debian.org>  Wed, 4 Sep 2002 23:05:16 -0600

tinyproxy (1.5.1-1) unstable; urgency=low

  * New upstream release (Closes: #157315)
 
 -- Ed Boraas <ed@debian.org>  Sat, 24 Aug 2002 16:48:50 -0600

tinyproxy (1.4.3-3) unstable; urgency=high

  * Work around paper-bag postrm bug introduced in 1.4.3-1 which
    was preventing upgrades (Closes: #147858)
  * postrm only cleans /etc/tinyproxy on purge, as it should have
  * SECURITY: Please use this package in woody, as -2 won't
    upgrade over 1.4.3-1 because of the postrm bug
 
 -- Ed Boraas <ed@debian.org>  Thu, 23 May 2002 06:54:19 -0700

tinyproxy (1.4.3-2) unstable; urgency=high

  * SECURITY: Fixed double-free errors in consultation with
    upstream authors. This fix affects woody. (Closes: #147240)

 -- Ed Boraas <ed@debian.org>  Tue, 21 May 2002 21:35:35 -0700

tinyproxy (1.4.3-1) unstable; urgency=low

  * New upstream release (Closes: #139312)
  * Remove /etc/tinyproxy after purge (Closes: #128246)
  * Include RFC_INFO in /usr/share/doc/tinyproxy

 -- Ed Boraas <ed@debian.org>  Sat, 23 Mar 2002 14:42:35 -0700

tinyproxy (1.4.2.2-3) unstable; urgency=low

  * Updated README.Debian to refer to new conffile in /etc
    (Closes: #116769)
  * Changed default port back to 8080

 -- Ed Boraas <ed@debian.org>  Tue, 20 Nov 2001 06:53:54 -0700

tinyproxy (1.4.2.2-2) unstable; urgency=low

  * Add flex to build-deps (Closes: #116156)
  * Include default tinyproxy.conf (Closes: #116186)

 -- Ed Boraas <ed@debian.org>  Fri, 19 Oct 2001 17:13:37 -0600



=== debian/control ===
Source: tinyproxy
Section: net
Priority: optional
Maintainer: Ed Boraas <ed@debian.org> 
Standards-Version: 3.8.0
Build-Depends: debhelper (>= 5), libadns1-dev, flex, bison, quilt
#Homepage: http://tinyproxy.banu.com/

Package: tinyproxy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, logrotate
Description: A lightweight, non-caching, optionally anonymizing http proxy 
 An anonymizing http proxy which is very light on system resources,
 ideal for smaller networks and similar situations where other proxies 
 (such as Squid) may be overkill and/or a security risk. Tinyproxy can
 also be configured to anonymize http requests (allowing for exceptions
 on a per-header basis).

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Christoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/quilt/quilt.make

build: patch build-stamp
build-stamp:
	dh_testdir

	./configure --prefix=/usr --bindir=/usr/sbin --mandir=/usr/share/man \
		--enable-filter --enable-transparent-proxy --enable-upstream \
		--enable-xtinyproxy
	$(MAKE) 

	touch build-stamp

clean: unpatch
	dh_testdir
	dh_testroot

	[ ! -f Makefile ] || $(MAKE) distclean

	rm -f config.cache config.status config.log libtool doc/report.sh
	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/tinyproxy
	cp -a $(CURDIR)/debian/tinyproxy.conf $(CURDIR)/debian/tinyproxy/etc/tinyproxy
	rm -f $(CURDIR)/debian/tinyproxy/etc/tinyproxy/tinyproxy.conf-dist
	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
	dh_installinit
	dh_installcron
	dh_installlogrotate
#	dh_installmanpages
	dh_installchangelogs ChangeLog 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3

http://files.banu.com/pub/tinyproxy/1.6/tinyproxy-(.*)\.tar\.gz

## tinyproxy 1.8.1

=== debian/changelog ===
tinyproxy (1.8.1-3) unstable; urgency=low

  * Add conf_fix_alignment.patch: fix a crash on startup on alpha
    and ia64.
  * Disable the testsuite on kfreebsd architectures, as it fails due to
    some assumptions on how loopback network interfaces work on FreeBSD.

 -- Jordi Mallach <jordi@debian.org>  Wed, 24 Mar 2010 13:05:32 +0100

tinyproxy (1.8.1-2) unstable; urgency=low

  * Add testsuite_user_var.patch: don't assume $USER is set in the
    build environment; use $(whoami) instead.

 -- Jordi Mallach <jordi@debian.org>  Tue, 23 Mar 2010 15:58:13 +0100

tinyproxy (1.8.1-1) unstable; urgency=low

  * New upstream release.
    - fixes behaviour with no Listen directive in config (closes: #572514).
  * Drop all patches: all are included in this release, or are obsolete.

 -- Jordi Mallach <jordi@debian.org>  Tue, 09 Mar 2010 23:33:36 +0100

tinyproxy (1.8.0-1) unstable; urgency=low

  * New upstream stable release (closes: #309383, #567258).
    - fixes reordering of headers issue (closes: #405068).
    - fixes bind directive problems (closes: #517674).
    - manpages are rewritten; misleading GPL comments are gone
      (closes: #443569).
    - the tunnel directive is no longer present (closes: #167898).
    - logfiles are no longer removed on start (closes: #160764).
  * Add myself to Uploaders.
  * Change section to web.
  * Update copyright info.
  * Switch to source version 3.0 (quilt). Drop Build-Dep on quilt and
    remove README.source.
  * Add Build-Depends on asciidoc and xmlto.
  * Drop the following patches, which were fixed or obsoleted upstream:
    99_autoreconf.patch, scanner_debug_removal.patch.
  * Add DEP-3 headers to remaining patches.
  * Split pidfile_ownership.patch in two, creating a new patch handling
    documentation. Disable the ownership patch, which doesn't handle
    logfiles and changing the patch of the piddir is enough workaround
    for now.
  * Add logfile_location.patch, similar to the pidfile issue.
  * Install /var/log/tinyproxy with owner nobody:adm and mode 750, make
    sure dh_fixperms does not revert this, and add a lintian override.
  * Resync debian/tinyproxy.conf with new version.
  * Don't ship /var/run/tinyproxy, the init script handles its creation.
  * Make init script check for conffile availability before grepping it.
  * Bump Standards-Version to 3.8.4.
  * Rewrite debian/rules using dh7, bump debhelper requirement to >= 7.0.50.
  * Update Homepage and copyright to match the new upstream URL.
  * Add Vcs fields.
  * Update debian/docs, debian/dirs and debian/examples.
  * Update watch file, updating download URL and removing hardcoded stable
    release version from the path (closes: #551405).
  * Fix logrotate script to use invoke-rc.d and okifempty
    (closes: #536751, #567981).
  * Use reload in logrotate, avoiding SIGTERMs (closes: #563482).
  * Enable reverse proxying support, and explictly enable regexcheck.
  * Set $sysconfdir to /etc.
  * Install templates in /usr/share/tinyproxy.
  * Handle tinyproxy's conffile location change in preinst/postinst.
  * Add uninteractive_testsuite.patch to make the testsuite not wait for
    a keypress when finishing.

 -- Jordi Mallach <jordi@debian.org>  Mon, 22 Feb 2010 20:48:12 +0100

tinyproxy (1.6.3-3.3) unstable; urgency=low

  * Non-maintainer upload.
  * Clarify debian/copyright about "version 2 or above" GPL clause.
    (Closes: #567265)

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 12 Feb 2010 11:04:04 +0100

## tinyproxy 1.8.2

=== debian/changelog ===
tinyproxy (1.8.2-2) unstable; urgency=high

  * Upper case "HTTP" in package descriptions (closes: #588193).
  * Add validate_port_number.patch: exit if an invalid port is declared in
    the Port directive.
  * Add netmask_generation.patch: fix bug in ACL netmask generation, which
    could allow to use Tinyproxy as an open proxy very easily
    [CVE-2011-1499] (closes: #621493).
  * Bump Standards-Version to 3.9.2, with no changes required.

 -- Jordi Mallach <jordi@debian.org>  Mon, 18 Apr 2011 23:03:16 +0200

tinyproxy (1.8.2-1) unstable; urgency=low

  * New upstream release.
  * Drop all patches; all were taken from Git, or have been applied
    upstream.
  * Add upstream_matching_fix.patch by Daniel Piddock, to fix handling
    of upstream rules (closes: #585075).

 -- Jordi Mallach <jordi@debian.org>  Wed, 09 Jun 2010 01:08:17 +0200

tinyproxy (1.8.1-5) unstable; urgency=medium

  * Add sighup_memleak.patch, by John van der Kamp, to fix a memleak
    when reloading tinyproxy, which happens daily via logrotate
    (closes: #579427).
  * Adjust testsuite_user_var.patch to use output of "id -un" instead of
    "whoami".

 -- Jordi Mallach <jordi@debian.org>  Wed, 02 Jun 2010 09:43:50 +0200

tinyproxy (1.8.1-4) unstable; urgency=low

  * Add log_message_storage_crash.patch to fix crashes when reloading
    tinyproxy, as triggered by logrotate (thanks Dmitry Semyonov for the
    bug report and patch, closes: #578319).

 -- Jordi Mallach <jordi@debian.org>  Fri, 23 Apr 2010 15:41:36 +0200

=== debian/control ===
Source: tinyproxy
Section: web
Priority: optional
Maintainer: Ed Boraas <ed@debian.org>
Uploaders: Jordi Mallach <jordi@debian.org>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 7.0.50~),
               asciidoc, xmlto,
               libadns1-dev,
               flex, bison
Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/tinyproxy
Vcs-Browser: http://svn.debian.org/viewsvn/collab-maint/deb-maint/tinyproxy/
Homepage: http://www.banu.com/tinyproxy/

Package: tinyproxy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, logrotate
Description: A lightweight, non-caching, optionally anonymizing HTTP proxy
 An anonymizing HTTP proxy which is very light on system resources,
 ideal for smaller networks and similar situations where other proxies
 (such as Squid) may be overkill and/or a security risk. Tinyproxy can
 also be configured to anonymize HTTP requests (allowing for exceptions
 on a per-header basis).

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

%:
	dh $@

override_dh_auto_configure:
	./configure --prefix=/usr --sysconfdir=/etc \
		--bindir=/usr/sbin --mandir=/usr/share/man \
		--enable-filter \
		--enable-transparent \
		--enable-regexcheck \
		--enable-reverse \
		--enable-upstream \
		--enable-xtinyproxy

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tinyproxy

	# Make sure /var/log/tinyproxy is writable by the tinyproxy user
	chmod 750 $(CURDIR)/debian/tinyproxy/var/log/tinyproxy
	chown nobody:adm $(CURDIR)/debian/tinyproxy/var/log/tinyproxy
	cp -a $(CURDIR)/debian/tinyproxy.conf $(CURDIR)/debian/tinyproxy/etc
	cp -a $(CURDIR)/data/templates/*.html $(CURDIR)/debian/tinyproxy/usr/share/tinyproxy

override_dh_fixperms:
	dh_fixperms -X var/log/tinyproxy

ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
# The testsuite currently fails on kFreeBSD, apparently due to different
# behaviour of loopback network interfaces.
override_dh_auto_test:
endif

## tinyproxy 1.8.3

=== debian/changelog ===
tinyproxy (1.8.3-3ubuntu1) quantal; urgency=low

  * src/child.c, src/hashmap.c: Define _GNU_SOURCE to fix several implicit
    function declarations (fixes FTBFS on amd64).

 -- Michael Bienia <geser@ubuntu.com>  Tue, 02 Oct 2012 10:57:21 +0200

tinyproxy (1.8.3-3) unstable; urgency=high

  * Add patches for CVE-2012-3505 (closes: #685281):
    - CVE-2012-3505-tinyproxy-limit-headers.patch: Limit the number of
      headers to prevent DoS attacks.
    - CVE-2012-3505-tinyproxy-randomized-hashmaps.patch: Randomize hashmaps
      in order to avoid fake headers getting included in the same bucket,
      allowing for DoS attacks.
    Bug reported and patches contributed by gpernot.

 -- Jordi Mallach <jordi@debian.org>  Mon, 24 Sep 2012 21:05:41 +0200

tinyproxy (1.8.3-2) unstable; urgency=low

  * Update Homepage again: webpage is served over https.
  * Add prepend_ldflags.patch, by Moritz Muehlenhoff, to avoid overwriting
    LDFLAGS. Enable dh_autoreconf support.
  * Switch to debhelper v9 to take advantage of automatic dpkg-buildflags
    setting and enable hardened build flags (closes: #655870).
  * Bump Build-Deps to debhelper (>= 8.9.4).

 -- Jordi Mallach <jordi@debian.org>  Mon, 23 Jan 2012 12:10:34 +0100

tinyproxy (1.8.3-1) unstable; urgency=low

  * New upstream release.
  * Drop all patches, all are included upstream.
  * Add CVE number to previous changelog entry, as validate_port_number.patch
    could actually prevent a buffer overflow and access restriction bypass.
  * Fix watch file, and switch to .xz tarballs.
  * Cleanup tests/env on clean to fix a FTBFS after the first successful
    build (closes: #651323).
  * Bump to debhelper 8.
  * Update copyright years.
  * Update Vcs-* URLs.
  * Update Homepage.

 -- Jordi Mallach <jordi@debian.org>  Mon, 02 Jan 2012 14:08:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: tinyproxy
 Section: web
 Priority: optional
-Maintainer: Ed Boraas <ed@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ed Boraas <ed@debian.org>
 Uploaders: Jordi Mallach <jordi@debian.org>
 Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 8.9.4),
+               dh-autoreconf,
                asciidoc, xmlto,
                libadns1-dev,
                flex, bison
-Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/tinyproxy
-Vcs-Browser: http://svn.debian.org/viewsvn/collab-maint/deb-maint/tinyproxy/
-Homepage: http://www.banu.com/tinyproxy/
+Vcs-Svn: svn://anonscm.debian.org/svn/collab-maint/deb-maint/tinyproxy
+Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/tinyproxy/
+Homepage: https://banu.com/tinyproxy/
 
 Package: tinyproxy
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
 %:
-	dh $@
+	dh $@ --with autoreconf
 
 override_dh_auto_configure:
 	./configure --prefix=/usr --sysconfdir=/etc \
@@ -32,3 +32,7 @@
 # behaviour of loopback network interfaces.
 override_dh_auto_test:
 endif
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -rf $(CURDIR)/env

=== debian/watch ===
version=3

http://www.banu.com/pub/tinyproxy/([\d\.]+[02468])/ \
	tinyproxy-(.*)\.tar\.xz

## tinyproxy 1.8.4

=== debian/changelog ===
tinyproxy (1.8.4-5) unstable; urgency=medium

  * debian/control:
    + Add B:/R: pair to tinyproxy-bin, as it breaks tinyproxy (<< 1.8.4-4~).
      (Closes: #882385).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 22 Nov 2017 10:21:51 +0100

tinyproxy (1.8.4-4) unstable; urgency=medium

  [ Jordi Mallach ]
  * Add Mike Gabriel <sunweaver@debian.org> as new maintainer.
  * debian/control:
    + Update Standards-Version to 4.1.1, with no changes needed.

  [ Mike Gabriel ]
  * debian/*:
    + Split up tinyproxy into bin:pkgs tinyproxy-bin and tinyproxy.
      The first provides the executable only (plus DATADIR), the second
      everything else that is needed for running tinyproxy as a system
      service.
  * debian/control:
    + Versioned D (tinyproxy) on tinyproxy-bin from the source package version.
  * debian/{control,rules}:
    + Switch from dh_install --fail-missing to dh_missing --fail-missing.
  * lintian:
    + Drop non-standard-dir-perm override. Dir permissions are set in postinst,
      not in the package itself.
  * debian/patches:
    + Add minimal patch header to sighup_hang.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 20 Nov 2017 12:55:19 +0100

tinyproxy (1.8.4-3) unstable; urgency=medium

  * Add sighup_hang.patch: Fix Tinyproxy ceasing to listen to connections
    after it receives a SIGHUP, something that happens daily in our default
    setup (closes: #880427).
  * Fix path to tinyproxy.conf in sysvinit script. Thanks, Guo Yixuan (郭溢譞)
    (closes: #870325).
  * Add Depends on adduser.
  * Update Standards-Version to 4.1.1, with no changes needed.

 -- Jordi Mallach <jordi@debian.org>  Wed, 15 Nov 2017 02:28:58 +0100

tinyproxy (1.8.4-2) unstable; urgency=medium

  * Remove obsolete preinst and postinst maintainer scripts.
  * Add a tinyproxy system user to run the daemon (LP: #590634).
  * Move tinyproxy.conf to /etc/tinyproxy, using dpkg-maintscript-helper.
  * Move filter file location to /etc/tinyproxy as well.
  * Remove obsolete README.Debian.
  * Set sysconfdir to /etc/tinyproxy.
  * Adjust tinyproxy.conf and tinyproxy.tmpfiles for tinyproxy user.
  * Make /var/log/tinyproxy owned by tinyproxy.
  * Add NEWS.Debian entry with warning about the tinyproxy user changes.
  * Remove /var/log/tinyproxy on purge.
  * Move handling of /var/log/tinyproxy permissions to postinst.
  * Stop installing templates by hand, upstream build system also does it.

 -- Jordi Mallach <jordi@debian.org>  Sat, 21 Jan 2017 12:40:00 +0100

tinyproxy (1.8.4-1) unstable; urgency=medium

  * New upstream release.
    - Drops supplementary groups on startup (thanks, Gaudenz Steinlin;
      closes: #722215).
  * Update Homepage URL again.
  * Update Vcs-* fields following migration to Git.
  * Bump to debhelper compat v10.
    Remove explicit Build-Depend on dh-autoreconf, now handled by dh.
  * Drop all patches, all merged upstream.
  * Drop no longer needed Build-Deps on bison, flex and libadns1-dev.
  * Call dh_auto_configure instead of configure directly.
  * Replace $(MAKE) call with dh_auto_install.
  * Rewrite copyright in machine-readable format version 1.0.
  * Make $DESC more descriptive in the init script.
  * Make init script source init-functions from lsb-base.
  * Update Standards-Version to 3.9.8.
  * Change /var/run references to /run.
  * Add Michael Adam's OpenPGP key to upstream/signing-key.asc.
  * Update watch file for Github releases, and check PGP signature.
  * Remove obsolete debian/source/options.
  * Add systemd service and tmpfile files.
  * Pass --fail-missing to dh_install.
  * Enable all hardening options.
  * Depend on lsb-base to ensure the utility functions are available.

 -- Jordi Mallach <jordi@debian.org>  Thu, 12 Jan 2017 17:47:16 +0100

=== debian/control ===
Source: tinyproxy
Section: web
Priority: optional
Maintainer: Mike Gabriel <sunweaver@debian.org>
Uploaders: Ed Boraas <ed@debian.org>, Jordi Mallach <jordi@debian.org>
Standards-Version: 4.1.1
Build-Depends: debhelper (>= 10.3~),
               asciidoc,
               xmlto
Vcs-Git: https://anonscm.debian.org/git/collab-maint/tinyproxy.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/tinyproxy.git
Homepage: https://tinyproxy.github.io/

Package: tinyproxy
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         adduser,
         logrotate,
         lsb-base (>= 3.0-6),
         tinyproxy-bin (<< ${source:Version}.1~),
         tinyproxy-bin (>= ${source:Version}),
Description: Lightweight, non-caching, optionally anonymizing HTTP proxy
 An anonymizing HTTP proxy which is very light on system resources,
 ideal for smaller networks and similar situations where other proxies
 (such as Squid) may be overkill and/or a security risk. Tinyproxy can
 also be configured to anonymize HTTP requests (allowing for exceptions
 on a per-header basis).
 .
 This package contains everything for running tinyproxy as a system-wide
 service.

Package: tinyproxy-bin
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Breaks: tinyproxy (<< 1.8.4-4~),
Replaces: tinyproxy (<< 1.8.4-4~),
Description: Lightweight, non-caching, optionally anonymizing HTTP proxy (executable only)
 An anonymizing HTTP proxy which is very light on system resources,
 ideal for smaller networks and similar situations where other proxies
 (such as Squid) may be overkill and/or a security risk. Tinyproxy can
 also be configured to anonymize HTTP requests (allowing for exceptions
 on a per-header basis).
 .
 This package contains the minimal set of files required for running
 the tinyproxy executable.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--sysconfdir=/etc/tinyproxy \
		--enable-filter \
		--enable-transparent \
		--enable-regexcheck \
		--enable-reverse \
		--enable-upstream \
		--enable-xtinyproxy

override_dh_auto_install:
	dh_auto_install
	cp -a $(CURDIR)/debian/tinyproxy.conf $(CURDIR)/debian/tmp/etc/tinyproxy

override_dh_missing:
	dh_missing --fail-missing

ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
# The testsuite currently fails on kFreeBSD, apparently due to different
# behaviour of loopback network interfaces.
override_dh_auto_test:
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(CURDIR)/env

## tinyproxy 1.10.0

=== debian/changelog ===
tinyproxy (1.10.0-5) unstable; urgency=medium

  [ Unit 193 ]
  * d/p/0001_fix-segfault-with-socks4.patch:
    + Grab an upstream patch to fix a segfault when using socks4 with
      tor. (Closes: #990434).

  [ Mike Gabriel ]
  * debian/tinyproxy.service:
    + Use KillMode=process (instead of the default 'control-group'). The main
      tinyproxy process will stop all its workers if a SIGTERM signal is
      received. This avoids SIGTERM racing situation where the tinyproxy main
      process and systemd are trying to kill tinyproxy's workers simultaneously.
      (Closes: #968322).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 02 Jul 2021 12:25:46 +0200

tinyproxy (1.10.0-4) unstable; urgency=medium

  * debian/tinyproxy.init:
    + Drop unconditional creation of PIDDIR. Follow-up for Vcs-Git commit
      b186fa94. Thanks to Unit193 for spotting this and also for the
      original patch. (Closes: #948283).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 21 Jan 2020 11:14:47 +0100

tinyproxy (1.10.0-3) unstable; urgency=medium

  * debian/tinyproxy.init:
    + Only set PIDDIR, if PIDFILE is a non-zero length string. (Closes:
      #948283).
    + Tab-indentation cleanup (whitespace only).
    + Drop usage of chgrp, check for non-zero length USER and GROUP variables.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 21 Jan 2020 10:37:45 +0100

tinyproxy (1.10.0-2) unstable; urgency=medium

  * debian/changelog:
    + Grammar fixes in previous stanza.
    + Bug number fix (missing hash) in previous stanza.
    + Fix CVE number in previous stanza. Thanks to Salvatore from the Debian
      Security Team for spotting this.
  * debian/tinyproxy.postinst:
    + Fix chmod on no files in empty log folder. (Closes: #909481).
    + Fix chown no files in empty log folder (the command was complete bogus
      before).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 23 Oct 2018 12:47:18 +0200

tinyproxy (1.10.0-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * New upstream release.
    - Make bind option usable with transparent proxy, too. (Closes: #609095).
    - Add SOCKS5 upstream proxy support. (Closes: #392848).
    - CVE-2017-11747: Create PID file before dropping privileges. (Closes:
      #870307).
    - Prevent child from calling exit() on interrupt. Proposed fix
      for the logrotate SIGHUP issues. (Closes: #704459).
  * debian/patches:
    + Add README file that informs about patch naming scheme.
    + Drop sighup_hang.patch. Applied upstream.
    + Add 1001_fix-select.patch. Handle multiple Listen directives properly.
      (Closes: #898492).
    + Add 1002_fix-ftbfs-on-Hurd.patch. Avoid duplication of build path when
      built on hurd-i386. (Closes: #882527)."
    + Add 1003_fix-rereading-filter-conf-when-unprivileged.patch. If dropping
      privileges, read the filter config always as unprivileged user and report
      an error, if that fails. (Closes: #756040).
  * debian/tinyproxy.conf:
    + Update Debian's tinyproxy.conf default configuration file.
  * debian/control:
    + Update Vcs-*: URLs. Packaging Git has been migrated to salsa.debian.org.
    + Bump Standards-Version: to 4.2.1. No changes needed.
  * debian/{control,compat}: Bump DH compat level to version 11.
  * debian/copyright:
    + Fix some DEP-3 format issues, add comment about current maintenance
      status.
  * debian/rules:
    + Add get-orig-source target.
    + Drop --enable-transparent configure option. Enabled by default now.
    + Drop --disable-regexcheck (not supported upstream anymore. Also fixes
      FTBFS during cross builds (Closes: #865832).
    + Include architecture.mk rather than executing dpkg-architecture.
    + Don't set --sysconfdir configure option. Is now ok with latest upstream
      version.
  * debian/tinyproxy-bin.install:
    + The tinyproxy executable has been installed to /usr/bin since this
      release, not /usr/sbin.
  * debian/tinyproxy.{init,service}:
    + The tinyproxy executable is in /usr/bin now.
  * debian/tinyproxy.init:
    + Let overriding the CONFIG variable via /etc/default/tinyproxy have an
      effect. (Closes: #762924).
  * debian/tinyproxy.default: Add file.
  * debian/tinyproxy.service:
    + Honour environment file in /etc/default/tinyproxy.
  * debian/tinyproxy.{install,docs}:
    + Correctly install documentation files into bin:pkg.
  * debian/tinyproxy.postinst:
    + Avoid recursive chown/chmod.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 04 Sep 2018 15:01:49 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Mike Gabriel <sunweaver@debian.org>
 Uploaders: Ed Boraas <ed@debian.org>, Jordi Mallach <jordi@debian.org>
-Standards-Version: 4.1.1
-Build-Depends: debhelper (>= 10.3~),
+Standards-Version: 4.2.1
+Build-Depends: debhelper (>= 11),
                asciidoc,
                xmlto
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/tinyproxy.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/tinyproxy.git
+Vcs-Git: https://salsa.debian.org/debian/tinyproxy.git
+Vcs-Browser: https://salsa.debian.org/debian/tinyproxy
 Homepage: https://tinyproxy.github.io/
 
 Package: tinyproxy

=== debian/watch ===
version=3
opts=uversionmangle=s/(pre\d|rc\d)/~$1/,pgpsigurlmangle=s/$/.asc/ \
  https://github.com/tinyproxy/tinyproxy/releases .*/tinyproxy-(.+).tar.xz

## tinyproxy 1.11.0

=== debian/changelog ===
tinyproxy (1.11.0-1ubuntu0.1~esm2) jammy-security; urgency=medium

  * SECURITY UPDATE: use-after-free in header handling (LP: #2074351)
    - debian/patches/CVE-2023-49606.patch: add validation on `reqs.c` which
      ensures that the value of header is not equal to either "connection"
      or "proxy-connection" to prevent double-free
    - CVE-2023-49606

 -- Shishir Subedi <shishir.subedi@canonical.com>  Sun, 15 Dec 2024 18:27:39 +0545

tinyproxy (1.11.0-1ubuntu0.1~esm1) jammy-security; urgency=medium

  * SECURITY UPDATE: sensitive information disclosure
    - debian/patches/CVE-2022-40468.patch: zero-terminate the strings on
      "reqs.c" so that is no leftover data to display in custom error page
    - CVE-2022-40468

 -- Shishir Subedi <shishir.subedi@canonical.com>  Wed, 27 Nov 2024 10:16:30 +0545

tinyproxy (1.11.0-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/control: Add "Unit 193" to Uploaders: field.

  [ Unit 193 ]
  * d/watch: Update to find new upstream releases.
  * New upstream version 1.11.0.
    - Drop patches that no longer apply, refresh remaining.
    - d/tinyproxy.conf: Re-sync to upstream.
  * d/compat, d/control: Drop d/compat in favor of debhelper-compat, bump to 13.
  * d/rules: Drop get-orig-source target, explicit --with autoreconf,
    and dh_missing override.  Either default now or obsolete.
  * d/tinyproxy.docs: Drop docs/filter-howto.txt as it no longer exists.
  * d/control:
    - R³: no.
    - Pre-Depend on ${misc:Pre-Depends} in binary packages.
  * d/control, d/tinyproxy.(maintscript,postinst):
    - Remove deprecated migration code.
  * Rename d/tinyproxy.tmpfile to d/tinyproxy.tmpfiles.
  * Update Standards-Version to 4.6.0.

 -- Unit 193 <unit193@debian.org>  Mon, 08 Nov 2021 18:17:46 -0500

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,14 @@
 Source: tinyproxy
 Section: web
 Priority: optional
-Maintainer: Mike Gabriel <sunweaver@debian.org>
-Uploaders: Ed Boraas <ed@debian.org>, Jordi Mallach <jordi@debian.org>
-Standards-Version: 4.2.1
-Build-Depends: debhelper (>= 11),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Mike Gabriel <sunweaver@debian.org>
+Uploaders: Ed Boraas <ed@debian.org>,
+           Jordi Mallach <jordi@debian.org>,
+           Unit 193 <unit193@debian.org>,
+Rules-Requires-Root: no
+Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 13),
                asciidoc,
                xmlto
 Vcs-Git: https://salsa.debian.org/debian/tinyproxy.git
@@ -13,6 +17,7 @@
 
 Package: tinyproxy
 Architecture: all
+Pre-Depends: ${misc:Pre-Depends},
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          adduser,
@@ -32,10 +37,9 @@
 
 Package: tinyproxy-bin
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends},
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-Breaks: tinyproxy (<< 1.8.4-4~),
-Replaces: tinyproxy (<< 1.8.4-4~),
 Description: Lightweight, non-caching, optionally anonymizing HTTP proxy (executable only)
  An anonymizing HTTP proxy which is very light on system resources,
  ideal for smaller networks and similar situations where other proxies

## tinyproxy 1.11.1

=== debian/changelog ===
tinyproxy (1.11.1-2.1+deb12u1) bookworm-security; urgency=medium

  * CVE-2023-49606 (Closes: #1070395)

 -- Moritz Mühlenhoff <jmm@debian.org>  Wed, 22 May 2024 20:05:05 +0200

tinyproxy (1.11.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:52:06 +0200

tinyproxy (1.11.1-2) unstable; urgency=medium

  * d/tinyproxy.service: Change reload signal from SIGHUP to SIGUSR1.
  * d/p/0001-prevent-junk-from-showing-up-in-error-page-in-invali.patch:
    - Grab upstream commit to fix a potential leak of left-over heap data if
      custom error page templates are used. (Closes: #1021015, CVE-2022-40468)

 -- Unit 193 <unit193@debian.org>  Fri, 30 Sep 2022 22:08:37 -0400

tinyproxy (1.11.1-1) unstable; urgency=medium

  * New upstream version 1.11.1.
    - Drop patches, upstreamed or from upstream.
  * d/tinyproxy.conf: Re-sync with upstream.
  * d/tinyproxy.init: Pass the pidfile to start-stop-daemon if found.
  * d/tinyproxy.service: Change to simple (non-forking) service, drop pidfile.
  * Update Standards-Version to 4.6.1.

 -- Unit 193 <unit193@debian.org>  Sat, 28 May 2022 19:47:54 -0400

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: tinyproxy
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Mike Gabriel <sunweaver@debian.org>
+Maintainer: Mike Gabriel <sunweaver@debian.org>
 Uploaders: Ed Boraas <ed@debian.org>,
            Jordi Mallach <jordi@debian.org>,
            Unit 193 <unit193@debian.org>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Build-Depends: debhelper-compat (= 13),
                asciidoc,
                xmlto

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-filter \
		--enable-reverse \
		--enable-upstream \
		--enable-xtinyproxy

override_dh_auto_install:
	dh_auto_install
	cp -a $(CURDIR)/debian/tinyproxy.conf $(CURDIR)/debian/tmp/etc/tinyproxy

ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
# The testsuite currently fails on kFreeBSD, apparently due to different
# behaviour of loopback network interfaces.
override_dh_auto_test:
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(CURDIR)/env

=== debian/watch ===
version=4
opts=uversionmangle=s/-?(pre\d|rc\d)/~$1/,pgpsigurlmangle=s/$/.asc/ \
  https://github.com/tinyproxy/tinyproxy/releases .*/tinyproxy-(.+).tar.xz

## tinyproxy 1.11.2

=== debian/changelog ===
tinyproxy (1.11.2-1) unstable; urgency=medium

  * New upstream version 1.11.2.
    - fix omission to reset socklen parameter for accept() (LP: #2023248)
    - Drop upstream patches.

 -- Unit 193 <unit193@debian.org>  Fri, 10 May 2024 01:42:59 -0400

tinyproxy (1.11.1-4) unstable; urgency=high

  * d/p/0002-fix-potential-UAF-in-header-handling-CVE-2023-49606.patch:
    - Grab an upstream commit to fix a possible remote code execution.
      CVE-2023-49606, Debian #1070395.
  * Update Standards-Version to 4.7.0.

 -- Unit 193 <unit193@debian.org>  Wed, 08 May 2024 03:19:45 -0400

tinyproxy (1.11.1-3) unstable; urgency=medium

  * d/rules: Fix the cleaning phase. (Closes: #1045646)
  * d/tinyproxy.postinst:
    - Only run our commands during configure.
    - Fix ownership of the log directory. (Closes: #1023473)
  * d/watch: Update to use GitHub tags.

 -- Unit 193 <unit193@debian.org>  Thu, 17 Aug 2023 20:07:23 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Jordi Mallach <jordi@debian.org>,
            Unit 193 <unit193@debian.org>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Build-Depends: debhelper-compat (= 13),
                asciidoc,
                xmlto

=== debian/watch ===
version=4
opts=uversionmangle=s/-?(pre\d|rc\d)/~$1/,pgpsigurlmangle=s/$/.asc/ \
  https://github.com/tinyproxy/tinyproxy/tags .*/@ANY_VERSION@@ARCHIVE_EXT@
